// SecurityV1 is based on the Microsoft CryptAPI
#pragma once
#include <wincrypt.h>

class SecurityV1 {
public:
	SecurityV1();
	~SecurityV1();

	int Init();
	const TCHAR * Encrypt(const TCHAR * password, const TCHAR * text);
	const TCHAR * Decrypt(const TCHAR * password, const TCHAR * text);

	HCRYPTPROV hCryptProv;               // Handle for a cryptographic
										// provider context.

};
